Subject: Re: TEST: Sleep patch #6

From: Federico Gamio <[email-masked]>
Date: Fri, 03 Dec 2004 15:06:05 -0200

With patch #6 in some random situations, my PowerBook G4 (ATI 9600)
doesn't goes to sleep.
One situation is:
 - Turn PB
 - Work
 - Sleep
 - 14 hours of sleep
 - Turn back from sleep (perfect, no problem at all)
 - Work for 4 hours (mails, www, no USB, Bluetooth, etc)
 - Try to sleep and problem...

When I try to make sleep my PB, nothing happens (in X), and I can't
switch from X to console.
Sorry, I can't help you more with this bug, I will keep trying to
establish which are the events that trigger this bug.

Federico

On Wed, 2004-12-01 at 16:03 +1100, Benjamin Herrenschmidt wrote:
> (As usual, I'm cross posting several lists, please don't reply to all of them,
> and CC me as I'm not subscribed to all of them neither)
> 
> Ok, here's the 6th version of the sleep patch for ATI based albooks &
> iBook G4. Other machine users, please test too as it may cause
> regressions (or improvements) as well.
> 
> This one fixes finally the cache flush problem that made cpufreq (on machines
> using the PMU for the switch) and sleep/wake unreliable occasionally (memory
> corruption would occur on some CPUs at least). It improves bits here or there
> too, and adds the sungem wake-on-lan feature. 
> 
> There are still pending issues, like cpufreq on some machines will
> "think" it's running at full speed on wakeup while it's in fact running
> at slow speed (thankfully not the opposite). I don't think I'll fix this one
> in 2.6.9, but rather in 2.6.10.
> 
> http://gate.crashing.org/~benh/albook-ibookg4-sleep-6.diff
> 
> I'll post a 2.6.10-rc2-bk* based version of the patch soon.
> 
> Ben.
> 
> 
> 
-- 
My software never has bugs.       | ASCII Ribbon Campaign         /"\
It just develops random features. | For Standards-Complaint Email \ /
Public GnuPG key available at: http://www.keyserver.net            X
1024D/203E154B 2003-10-03 Federico Gamio <[email-masked]>     / \
Key fingerprint = 0B9E 3A19 C88B EBAC 5422  C05F 76B5 B922 203E 154B
sub  2048g/32D2F465 2003-10-03